Name:		akonadi-googledata
Version:	1.2.0
Release:	5%{?dist}
Summary:	Google contacts and calendar akonadi resource

License:	LGPLv2+
URL:		http://code.google.com/p/libgcal/
Source0:	http://libgcal.googlecode.com/files/akonadi-googledata-%{version}.tar.bz2

BuildRequires:	akonadi-devel
BuildRequires:	boost-devel
BuildRequires:	libgcal-devel
BuildRequires:	gettext
BuildRequires:	kdepimlibs-devel

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }

%description
Google contacts and calendar akonadi resource
=== what works ===

- contacts: retrieve/add/edit/delete/query-by-updates (i.e. fast-sync)
- calendar: retrieve/add/delete/query-by-updates (i.e. fast-sync)

Network proxy can be defined in KDE System Settings and the resource
will use it.

Passwords will be stored in KWallet, for while only 1 account is allowed
(I highly recommend to use it together with KWallet, because it makes
possible to query by updates automatically whenever akonadi/kde is
restarted *without* re-entering the account details).

For hosted accounts (i.e. joe.bar@whatever.com), 
just input the whole user id plus server
name in configuration dialog (i.e. joe.bar@whatever.com). 
For normal google accounts
(i.e. joe@gmail.com), just the username is required (i.e. joe).

=== Restrictions ===

Only the main calendar is supported, there are some missing fields
in contacts and recurrent events are not supported.

%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
%find_lang akonadi_gcal_resource

%files -f akonadi_gcal_resource.lang
%doc COPYING README ChangeLog
%{_kde4_bindir}/akonadi_*
%{_kde4_datadir}/akonadi/agents/*

%changelog
* Fri Mar 08 2013 Shawn W Dunn <sfalken@fuduntu.org> - Version:1.2.0-Release:5
- Built for Fuduntu

* Sun Mar 03 2013 Shawn W Dunn <sfalken@fuduntu.org> - Version:1.2.0-Release:5
- Built for Fuduntu

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 10 2011 Mario Santagiuliana <mario@marionline.it> 1.2.0-4
- Update spec file following the directive of Rex Dieter:
https://bugzilla.redhat.com/show_bug.cgi?id=711058#c25

* Fri Jun 10 2011 Mario Santagiuliana <mario@marionline.it> 1.2.0-3
- Update spec file following the directives of Rex Dieter:
https://bugzilla.redhat.com/show_bug.cgi?id=711058#c20

* Wed Jun 08 2011 Mario Santagiuliana <mario@marionline.it> 1.2.0-2
- Update spec file
- Remove not required dependencies (akonadi and boost)
- Remove buildroot tag, not required in fedora package
- Use just one Source (not Source0)
- Update licese of akonadi-googledata
- Remove akonadi dir owned by other packages
- Still use akonadi-googledata 1.2.0

* Sun Jun 07 2011 Mario Santagiuliana <mario@marionline.it> 1.2.0-1
- New akonadi-googledata for Fedora

* Mon Dec 28 2009 Thomas Janssen <thomasj@fedoraproject.org> 1.0.1-1
- Initial Fedora release
